# eric7.VirtualEnv.VirtualenvInterpreterSelectionDialog

Module implementing a dialog to enter the interpreter for a virtual environment.

### Global Attributes

None

### Classes

VirtualenvInterpreterSelectionDialog | Class implementing a dialog to enter the interpreter for a virtual environment.

### Functions

None

## VirtualenvInterpreterSelectionDialog

Class implementing a dialog to enter the interpreter for a virtual environment.

### Derived from

QDialog, Ui_VirtualenvInterpreterSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

VirtualenvInterpreterSelectionDialog | Constructor
__updateOK | Private method to update the enabled status of the OK button.
getData | Public method to get the entered data.
on_pythonExecPicker_textChanged | Private slot to handle changes of the entered Python interpreter path.

### Static Methods

None

#### VirtualenvInterpreterSelectionDialog (Constructor)

VirtualenvInterpreterSelectionDialog(venvName, venvDirectory, parent=None)

Constructor

venvName (str)
  name for the virtual environment
venvDirectory (str)
  directory of the virtual environment
parent (QWidget)
  reference to the parent widget

#### VirtualenvInterpreterSelectionDialog.__updateOK

__updateOK()

Private method to update the enabled status of the OK button.

#### VirtualenvInterpreterSelectionDialog.getData

getData()

Public method to get the entered data.

Return:
  path of the selected Python interpreter

Return Type:
  str

#### VirtualenvInterpreterSelectionDialog.on_pythonExecPicker_textChanged

on_pythonExecPicker_textChanged(txt)

Private slot to handle changes of the entered Python interpreter path.

txt (str)
  entered Python interpreter path

Up